
<div class="row">
    <div class="col-xs-12">
        <div class="box">        
            <div class="box-body">
                <form name="frmPage" id="frmPage" method="post" action="">
                    <input type="hidden" name="hdnID" id="hdnID" value="<?php echo $this->user['id'];?>" />
					<div class="row margin-bottom">
                        <div class="col-sm-6 col-xs-12">
                            <label for="client_id">Select Client*</label>
                            <select name="client_id" id="client_id" class="form-control">
								<option>-Select Client-</option>
								<?php
									foreach($this->clients as $client) {
										$strChk = '';
										if($this->user['client_id'] == $client['client_id']) {
											$strChk = 'selected';
										}
								?>
										<option <?php echo $strChk;?> value="<?php echo $client['client_id'];?>"><?php echo $client['company_name'];?></option>
								<?php
									}
								?>
							</select>
                        </div>
                        <div class="col-sm-6 col-xs-12">
                            <label for="campaign_id">Select Campaign*</label>
                            <select name="campaign_id" id="campaign_id" class="form-control">
								<option value="">-Select Campaign-</option>
								<?php
									foreach($this->campaigns as $campaign) {
										$strChk = '';
										if($this->user['campaign_id'] == $campaign['campaign_id']) {
											$strChk = 'selected';
										}
								?>
										<option <?php echo $strChk;?> value="<?php echo $campaign['campaign_id'];?>"><?php echo $campaign['campaign_title'];?></option>
								<?php
									}
								?>
							</select>
                        </div>
                    </div>
                    <div class="row margin-bottom">
                        <div class="col-sm-6 col-xs-12">
                            <label for="first_name">First Name*</label>
                            <input type="text" name="first_name" id="first_name" class="form-control" required value="<?php echo $this->user['first_name'];?>" />
                        </div>
						<div class="col-sm-6 col-xs-12">
                            <label for="last_name">Last Name*</label>
                            <input type="text" name="last_name" id="last_name" class="form-control" required value="<?php echo $this->user['last_name'];?>" />
						</div>
                    </div>
                    <div class="row margin-bottom">
                        <div class="col-sm-6 col-xs-12">
                            <label for="email">Email*</label>
                            <input type="email" name="email" id="email" class="form-control" required value="<?php echo $this->user['email'];?>" />
                        </div>
                        <div class="col-sm-6 col-xs-12">
                            <label for="password">Reset Password*</label>
                            <input type="password" name="password" id="password" class="form-control" />
                        </div>
                    </div> 
                    <div class="row">
                        <div class="col-xs-12">
                            <br/>
                            <button type="button" name="btnSave" id="btnSave" class="btn btn-success">
                                <i class="fa fa-save"></i>&nbsp;Save Client User
                            </button>
                            <button type="reset" name="btnReset" id="btnReset" class="btn btn-warning">
                                <i class="fa fa-refresh"></i>&nbsp;Reset Form
                            </button>
                        </div>
                    </div>
                </form>
            </div>
            <!-- /.box-body -->
        </div>
        <!-- /.box -->
    </div>
</div>
<script>
  $(function () {
		$("body").on( "click", "#btnSave", function() {
			var chkPwd = $.trim($('#password').val());
			if(chkPwd != '') {
				swal({
					title: 'Are you sure you want to RESET the password?',
					text: "You won't be able to revert this!",
					icon: 'warning',
					buttons: true,
					dangerMode: true,
				})
				.then((willDelete) => {
					if (willDelete) {
						$('#frmPage').submit();
					} else {
						$('#password').val('');
					}
				});
			} else {
				$('#frmPage').submit();
			}
		});
		
		$('#client_id').on('change', function() {
			if($(this).val() != '') {
				var cID = $(this).val();
				request = $.ajax({
					url: baseURL + '/admin/settings/fetchclientcampaignlist',
					method: "POST",
					data: { 'cID' : cID},
					success: function(data) {
						var result = JSON.parse(data);
						$('#campaign_id').html('');
						var strhtml = '<option value="">-Select Campaign-</option>';
						for(var i =0; i < result.length; i++) {
							strhtml += '<option value="'+result[i]['campaign_id']+'">'+result[i]['campaign_title']+'</option>';
						}
						$('#campaign_id').html(strhtml);
					},
					error: function(jqxhr) {
						alert(jqxhr.responseText);
					}
				});
			} else {
				$('#campaign_id').html('');
				var strhtml = '<option value="">-Select Campaign-</option>';
				$('#campaign_id').html(strhtml);
			}
		});
  });
</script>
